package com.wrj.driver.server.controller;


import com.wrj.driver.server.response.BaseResponse;
import com.wrj.driver.server.service.IWrjUserErrorQuestionService;
import com.wrj.driver.server.util.SecurityUtil;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 用户错题表 前端控制器
 * </p>
 *
 * @author Automated procedures
 * @since 2025-06-29
 */
@RestController
@RequestMapping("/wrjUserErrorQuestion")
@Slf4j
public class WrjUserErrorQuestionController {

    @Autowired
    private IWrjUserErrorQuestionService errorQuestionService;

    @ApiOperation("移除错题")
    @PostMapping("/remove")
    public BaseResponse remove(@RequestParam Long questionId) {
        log.info("移除错题题目id======>questionId:{},userId:{}", questionId, SecurityUtil.getUserId());
        return BaseResponse.success(errorQuestionService.remove(questionId, SecurityUtil.getUserId()));
    }

}
