package com.wrj.driver.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 考试地点表
 * </p>
 *
 * @author Automated procedures
 * @since 2025-06-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("wrj_exam_place")
public class WrjExamPlace implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "place_id", type = IdType.AUTO)
    private Integer placeId;

    /**
     * 考试地点名
     */
    @TableField("place_name")
    private String placeName;

    /**
     * 城市
     */
    @TableField("city")
    private String city;

    /**
     * 地址
     */
    @TableField("address")
    private String address;

    /**
     * 考试类型
     */
    @TableField("exam_type")
    private String examType;

    /**
     * 考试时间
     */
    @TableField("exam_date")
    private String examDate;

    /**
     * 联系人
     */
    @TableField("contacts")
    private String contacts;

    /**
     * 负责人
     */
    @TableField("leader")
    private String leader;

    @TableField("creator")
    private String creator;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private LocalDateTime createTime;

    @TableField("updater")
    private String updater;

    /**
     * 跟新时间
     */
    @TableField("update_time")
    private LocalDateTime updateTime;

    @TableField("deleted")
    private Boolean deleted;


}
