package com.wrj.driver.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 模拟考试成绩表;
 * </p>
 *
 * @author Automated procedures
 * @since 2023-08-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("wrj_question_test")
public class WrjQuestionTest implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 模拟考试成绩标识
     */
    @TableId(value = "test_id", type = IdType.AUTO)
    private Long testId;

    /**
     * 无人机驾驶员类型
     */
    @TableField("type_id")
    private Integer typeId;

    /**
     * 无人机型标识
     */
    @TableField("model_id")
    private Integer modelId;

    /**
     * 用户标识
     */
    @TableField("USER_ID")
    private Long userId;

    /**
     * 考试得分
     */
    @TableField("SCORE")
    private Integer score;

    /**
     * 考试时长,单位为秒
     */
    @TableField("TEST_TIME")
    private Integer testTime;

    /**
     * 创建时间
     */
    @TableField("CREATE_TIME")
    private LocalDateTime createTime;
}
