package com.wrj.driver.server.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.wrj.driver.server.dto.ChapterDto;
import com.wrj.driver.server.dto.ChapterQueryDto;
import com.wrj.driver.server.entity.WrjChapter;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 章节数据层
 */

@Mapper
public interface WrjChapterMapper extends BaseMapper<WrjChapter> {
    List<ChapterDto> queryChapter(@Param("param") ChapterQueryDto queryDto);
}
