package com.wrj.driver.server.mapper;

import com.wrj.driver.server.dto.TestQueryDto;
import com.wrj.driver.server.vo.TestScoreVO;
import com.wrj.driver.server.entity.WrjQuestionTest;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 模拟考试成绩表; Mapper 接口
 * </p>
 *
 * @author Automated procedures
 * @since 2023-08-10
 */

@Mapper
public interface WrjQuestionTestMapper extends BaseMapper<WrjQuestionTest> {

    List<TestScoreVO> getTestScore(@Param("param") TestQueryDto queryDto);
}
