package com.wrj.driver.server.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.wrj.driver.server.entity.SysUserLog;
import com.wrj.driver.server.mapper.SysUserLogMapper;
import com.wrj.driver.server.service.ISysUserLogService;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;

@Service
public class SysUserLogServiceImpl extends ServiceImpl<SysUserLogMapper, SysUserLog> implements ISysUserLogService {

    @Override
    public void saveLog(String title, int businessType, String device, int operType, Long userId, String param, String result, int status, LocalDateTime operTime) {
        SysUserLog model = new SysUserLog()
                .setUserId(userId)
                .setDevice(device)
                .setTitle(title)
                .setBusinessType(businessType)
                .setOperType(operType)
                .setOperParam(param)
                .setJsonResult(result)
                .setOperTime(operTime);
        this.getBaseMapper().insert(model);
    }
}
