package com.wrj.driver.server.service.impl;

import com.wrj.driver.server.entity.WrjUserErrorQuestion;
import com.wrj.driver.server.mapper.WrjUserErrorQuestionMapper;
import com.wrj.driver.server.service.IWrjUserErrorQuestionService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * <p>
 * 用户错题表 服务实现类
 * </p>
 *
 * @author Automated procedures
 * @since 2025-06-29
 */
@Service
public class WrjUserErrorQuestionServiceImpl extends ServiceImpl<WrjUserErrorQuestionMapper, WrjUserErrorQuestion> implements IWrjUserErrorQuestionService {

    @Autowired
    private WrjUserErrorQuestionMapper errorQuestionMapper;

    @Override
    @Transactional(rollbackFor = Exception.class)
    public Boolean remove(Long questionId, Long userId) {

        errorQuestionMapper.deleteByUserIdAndQuestionId(userId,questionId);

    }
}
