package com.wrj.driver.server.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("sys_user_log")
public class SysUserLog implements Serializable {

    @TableId(value = "id")
    private Long id;

    @TableField("title")
    private String title;

    @TableField("business_type")
    private Integer businessType;

    @TableField("method")
    private String method;

    @TableField("device")
    private String device;

    @TableField("oper_type")
    private Integer operType;

    @TableField("user_id")
    private Long userId;

    @TableField("oper_pram")
    private String operParam;

    @TableField("json_result")
    private String jsonResult;

    @TableField("status")
    private Integer status;

    @TableField("oper_time")
    private LocalDateTime operTime;
}
