package com.wrj.driver.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 无人机培训机构
 * </p>
 *
 * @author Automated procedures
 * @since 2025-06-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("wrj_school")
public class WrjSchool implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "school_id", type = IdType.AUTO)
    private Integer schoolId;

    /**
     * 驾校培训机构名
     */
    @TableField("school_name")
    private String schoolName;

    /**
     * 资格证图片地址
     */
    @TableField("certs")
    private String certs;

    /**
     * 地址
     */
    @TableField("address")
    private String address;

    /**
     * 介绍文案
     */
    @TableField("introduction")
    private String introduction;

    /**
     * 联系人
     */
    @TableField("contacts")
    private String contacts;

    /**
     * 联系方式
     */
    @TableField("phone")
    private String phone;

    /**
     * 培训机构logo地址
     */
    @TableField("logo")
    private String logo;

    /**
     * 宣传图片
     */
    @TableField("img_url")
    private String imgUrl;

    /**
     * 城市
     */
    @TableField("city")
    private String city;

}
