package com.wrj.driver.server.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 无人机驾驶员类型章节表
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("wrj_type_chapter")
public class WrjTypeChapter implements Serializable {

    @TableId("id")
    private Integer id;

    /**
     * 机型iD
     */
    @TableField("model_id")
    private Integer modelId;


    /**
     * 驾驶类型id
     */
    @TableField("type_id")
    private Integer typeId;

    /**
     * 章节id
     */
    @TableField("chapter_id")
    private Integer chapterId;

    /**
     * 判断题
     */
    @TableField("judge_num")
    private Integer judgeNum;

    /**
     * 单选题
     */
    @TableField("radio_num")
    private Integer radioNum;


    /**
     * 多选题
     */
    @TableField("multiple_choice_num")
    private Integer multipleChoiceNum;
}
