package com.wrj.driver.server.mapper;

import com.wrj.driver.server.entity.WrjUserCollectQuestion;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 用户收藏表 Mapper 接口
 * </p>
 *
 * @author Automated procedures
 * @since 2025-06-29
 */

@Mapper
public interface WrjUserCollectQuestionMapper extends BaseMapper<WrjUserCollectQuestion> {

    WrjUserCollectQuestion selectByUserIdAndQuestionId(@Param("userId") Long userId, @Param("questionId") Long questionId);

    int deleteByUserIdAndQuestionId(@Param("userId") Long userId, @Param("questionId") Long questionId);
}
