package com.wrj.driver.server.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.wrj.driver.server.dto.ChapterDto;
import com.wrj.driver.server.dto.ChapterQueryDto;
import com.wrj.driver.server.entity.WrjChapter;
import com.wrj.driver.server.mapper.WrjChapterMapper;
import com.wrj.driver.server.service.IWrjChapterService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
@Slf4j
public class WrjChapterServiceImpl extends ServiceImpl<WrjChapterMapper, WrjChapter> implements IWrjChapterService {

    @Autowired
    private WrjChapterMapper chapterMapper;

    @Override
    public List<ChapterDto> queryChapter(ChapterQueryDto queryDto) {
        return this.getBaseMapper().queryChapter(queryDto);
    }
}
