package com.wrj.driver.server.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 无人机驾驶员类型章节表
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class WrjTypeChapterVo implements Serializable {

    @ApiModelProperty("主键")
    private Integer id;

    /**
     * 章节id
     */
    @ApiModelProperty("章节id")
    private Integer chapterId;

    /**
     * 驾驶类型id
     */
    @ApiModelProperty("驾驶类型id")
    private Integer typeId;

    /**
     * 机型iD
     */
    @ApiModelProperty("机型iD")
    private Integer modelId;

    /**
     * 判断题
     */
    @ApiModelProperty("判断题")
    private Integer judgeNum;

    /**
     * 单选题
     */
    @ApiModelProperty("单选题")
    private Integer radioNum;

    /**
     * 多选题
     */
    @ApiModelProperty("多选题")
    private Integer multipleChoiceNum;
}
